"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class HTTPAdapter {
    constructor(server, onRecv) {
        server.use((req, res, next) => {
            req.rawBody = Buffer.alloc(0);
            req.on("data", function (chunk) {
                req.rawBody = Buffer.concat([req.rawBody, chunk]);
            });
            req.on("end", function () {
                next();
            });
        });
        server.post("/makestack/protocol", (req, res) => {
            const reply = onRecv(req.rawBody);
            res.status(200);
            res.type("application/octet-stream");
            res.send(reply);
        });
    }
}
exports.HTTPAdapter = HTTPAdapter;
//# sourceMappingURL=http_adapter.js.map