import { Request, Response } from "express";
export declare type HTTPCallback = (req: Request, res: Response) => void;
export declare function get(name: string, callback: HTTPCallback): void;
export declare function post(name: string, callback: HTTPCallback): void;
export declare function delete_(name: string, callback: HTTPCallback): void;
export declare function put(name: string, callback: HTTPCallback): void;
export declare function onEvent(name: string, callback: (value: any) => void): void;
export interface DeviceAPI {
    print: (msg: string) => void;
    publish: (eventName: string, value: boolean | number | string) => void;
    delay: (milliseconds: number) => void;
    delaySeconds: (seconds: number) => void;
    delayMinutes: (minutes: number) => void;
    pinMode: (pin: number, mode: "OUTPUT") => void;
    digitalWrite: (pin: number, level: boolean) => void;
    digitalRead: (pin: number, level: boolean) => boolean;
    analogRead: (pin: number) => number;
}
export declare function onReady(callback: (device: DeviceAPI) => void): void;
