"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("./command");
const firmware_1 = require("../firmware");
const logger_1 = require("../logger");
class BuildCommand extends command_1.Command {
    async run(_args, opts) {
        logger_1.logger.progress("Building the firmware...");
        await firmware_1.buildApp(opts.board, opts.appDir, opts);
        logger_1.logger.success("Done");
    }
}
BuildCommand.command = "build";
BuildCommand.desc = "Build the firmware.";
BuildCommand.args = [];
BuildCommand.opts = [...command_1.BUILD_OPTS];
BuildCommand.watchMode = true;
exports.BuildCommand = BuildCommand;
//# sourceMappingURL=build_command.js.map