"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("./command");
const firmware_1 = require("../firmware");
const logger_1 = require("../logger");
class DeployCommand extends command_1.Command {
    async run(args, opts) {
        logger_1.logger.progress("Building the firmware...");
        await firmware_1.buildApp(opts.board, opts.appDir, opts);
        await opts.cloud.deploy(opts.appDir, opts.board.getFirmwarePath(), opts);
    }
}
DeployCommand.command = "deploy";
DeployCommand.desc = "Deploy the app.";
DeployCommand.args = [];
DeployCommand.opts = [
    ...command_1.APP_OPTS,
    ...command_1.BOARD_OPTS,
    ...command_1.CLOUD_OPTS
];
exports.DeployCommand = DeployCommand;
//# sourceMappingURL=deploy_command.js.map