"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const child_process = require("child_process");
class DevServer {
    constructor(host, port, devServerPort, appDir) {
        this.appDir = appDir;
        this.host = host;
        this.port = port;
        this.devServerPort = devServerPort;
        this.start();
    }
    start() {
        const startModule = path.resolve(__dirname, "./start");
        const forkOpts = {
            env: {
                HOST: this.host,
                PORT: this.port.toString(),
                DEV_SERVER_PORT: this.devServerPort.toString(),
            },
            cwd: this.appDir,
        };
        this.proc = child_process.fork(startModule, [], forkOpts);
        process.on("exit", () => {
            this.proc.kill();
        });
    }
    restart() {
        this.proc.on("exit", () => {
            this.start();
        });
        this.proc.kill();
    }
    sendRequest(msg) {
        this.proc.send(msg);
    }
}
exports.DevServer = DevServer;
//# sourceMappingURL=dev_server.js.map