/// <reference types="node" />
export interface Payload {
    deviceStatus?: {
        state: string;
        batteryLevel: number;
        ramFree: number;
    };
    version?: number;
    firmwareRequest?: {
        version: number;
        offset: number;
    };
    firmwareData?: {
        type: "eof" | "raw" | "deflate";
        offset: number;
        data: Buffer;
    };
    corruptRateCheck?: {
        length: number;
    };
    ping?: {
        data: Buffer;
    };
    pong?: {
        data: Buffer;
    };
    log?: string;
}
export declare function constructPayload(payload: Payload): Buffer;
export declare function parsePayload(buf: Buffer): Payload;
